package com.artfess.sysConfig.persistence.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.sysConfig.persistence.model.SysTag;

import java.util.List;

/**
 * 
 * <pre> 
 * 描述：portal_sys_tag 处理接口
 * 构建组：x7
 * 作者:heyf
 * 邮箱:heyf@jee-soft.cn
 * 日期:2020-07-27 11:08:18
 * 版权：广州宏天软件股份有限公司
 * </pre>
 */
public interface SysTagManager extends BaseManager<SysTag>{
    void removeByTypeId(String id);

    List<SysTag> getTagsByTypeId(String typeId);

    Integer countByName(String sysTagKey, String key);

    Integer countByKey(String sysTagKey,String typeId);

    void createWithCheck(SysTag sysTag) throws Exception;

    void importFile(String unZipFilePath,String typeId);
}
